RIAServices.EntityFramework 4.2.0

RIAServices.EntityFramework provides the DbDomainService<T> class which can be used to create Domain Service classes for use with a DbContext from the EntityFramework package.

This package supports versions of EntityFramework starting with EF 4.1, including EntityFramework 5.0.0.

Install-Package RIAServices.EntityFramework -Version 4.2.0
dotnet add package RIAServices.EntityFramework --version 4.2.0
<PackageReference Include="RIAServices.EntityFramework" Version="4.2.0" />
For projects that support PackageReference, copy this XML node into the project file to reference the package.
paket add RIAServices.EntityFramework --version 4.2.0
The NuGet Team does not provide support for this client. Please contact its maintainers for support.

NuGet packages (2)

Showing the top 2 NuGet packages that depend on RIAServices.EntityFramework:

Package Downloads
RiaServices.EntityFramework.Scaffolding
Scaffolds a WCF RIA DbDomainService for your Code-First Model Update: Colin Blair has kindly taken over the Scaffolding support, for the latest go get RiaServicesContrib.EntityFramework.Scaffolding.
RiaServicesContrib.EntityFramework.Scaffolding
Scaffolds a WCF RIA DbDomainService for your Code-First Model

GitHub repositories

This package is not used by any popular GitHub repositories.

Version History

Version Downloads Last updated
4.2.0 30,823 12/10/2012
4.1.60730 7,139 8/3/2011
4.1.60629 5,830 6/30/2011